body {
  max-width: 960px;
  min-width: 400px;
}

/* Go to main content link for accessibility */
.skip {
  position: absolute;
  left: -10000px;
  top: auto;
  width: 1px;
  height: 1px;
  overflow: hidden;
}

.skip:focus {
  position: static;
  width: auto;
  height: auto;
}

.theme-toggle, .theme-toggle:hover  {
  padding: 0;
  margin: 0;
  background-color: var(--background-body); 
}

.theme-toggle:hover  {
  background: var(--background-body); 
}

header {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.logo a, 
.contact a, 
nav a {
  text-decoration: none;
  color: var(--text-bright);
}

.logo a {
  font-size: xx-large;
  font-weight: bold;
}

.logo a:focus,
.logo a:hover,
nav a:focus,
nav a:hover {
  color: darkkhaki;
}

.stacked-nav, .stacked-nav-list {
  display: flex;
  flex-direction: column;
  align-items: end;
  gap: 0.5rem;
  text-align: end;
}

.stacked-nav-list {
  align-items: flex-start;
  padding-left: 20px;
}

.current-article {
  color: darkkhaki;
  font-weight: 500;
  font-style: italic;
}

.main-nav {
  display: flex;
  gap: 0.5rem;
}

pre {
  text-wrap-mode: wrap;
}

/* Two rows content*/
.two-rows {
  display: grid;
  grid-template-columns: 2fr 1fr; /* Left:Main Article (2x size), Right: List (1x size) */
  gap: 20px; /* Spacing between columns */
}

/* Show on mobile only */
.mobile-only {
  display: none;
}

footer > div {
  display: flex;
  justify-content: space-between;
}

.profile-header {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: flex-start;
  row-gap: 40px
}

.headline {
  flex: 1;
  min-width: 200px;
  margin-left: 40px;
}

.profile-photo {
  width: 170px;
  overflow: hidden;
  min-width: 140px;
  border-radius: 10px;
  border-width: 1px;
  object-fit: cover;
}

.headline > p {
  font-weight: 500;
}

.headline > h2 {
  margin: 0;
}

.contact {
  font-size: x-large;
  display: flex;
  gap: 15px;
}

.contact a:hover {
  color: darkkhaki;
}

/* ------ Mobile Mediaquery ---------*/
@media (max-width: 640px) {
  .mobile-only {
    display: unset;
  }

  header {
    flex-direction: column;
    align-items: center;
    text-align: center;
  }

  .profile-header {
    flex-wrap: wrap;
  }

  .headline {
    margin-left: 30px;
  }

  .headline > p {
    text-wrap: wrap;
  }

  .profile-photo {
    margin-left: 20px;
    width: 140px;
    min-width: 100px;
  }

  .contact {
    font-size: xx-large;
    justify-content: space-evenly;
    width: 100%;
  }
  
  pre {
    overflow-wrap: anywhere;
  }

  /* Two rows content*/
  .two-rows {
    display: unset;
  }

  /* Mobile menu Other articles  */
  .stacked-nav {
    align-items: center;
    height: 100%;
    width: 0%;
    position: fixed;
    z-index: 1;
    top: 0;
    left: 0;
    background-color: #111;
    overflow: hidden;
    transition: 0.5s;
    padding-top: 10px;
    text-align: center;
  }

  .stacked-nav a {
    padding: 8px 8px 8px 32px;
    text-decoration: none;
    font-size: x-large;
    /* display: block; */
    /* transition: 0.3s; */
  }

  .stacked-nav .closebtn {
    align-self: flex-end;
  }
}